add :path_ids as argument to with_taxonomy_scope rather than with_taxonomy_scope_override for
SmartProxy select dropdowns
Difficulty: Fixed in Releases:
Pull request:

Description

with_taxonomy_scope_override calls .unscoped, so it is better to add :path_ids as argument rather than using
with_taxonomy_scope_override which does exactly the same thing, replaces :subtree_ids with :path_ids

Associated revisions

Revision 58ea0de6 - 05/22/2014 10:58 AM - Joseph Magen

fixes #5685 - add :path_ids to with_taxonomy_scope instead of subtree_ids for SmartProxy select dropdowns

Revision aa3c7b1e - 06/11/2014 01:02 PM - Joseph Magen

fixes #5685 - add :path_ids to with_taxonomy_scope instead of subtree_ids for SmartProxy select dropdowns

(cherry picked from commit 58ea0de6d8c31¢c309398de5¢c870c69665170c869)

History

#1 - 05/13/2014 07:34 AM - Joseph Magen

- Subject changed from add :path_ids as argument to with_taxonomy_scope rather than with_taxonomy_scope_override to add :path_ids as argument
to with_taxonomy_scope rather than with_taxonomy_scope_override in hosts_and_hostgroups_helper.rb

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1440

#2 - 05/13/2014 10:38 AM - Joseph Magen

- Subject changed from add :path_ids as argument to with_taxonomy_scope rather than with_taxonomy_scope_override in
hosts_and_hostgroups_helper.rb to add :path_ids as argument to with_taxonomy_scope rather than with_taxonomy_scope_override for SmartProxy
select dropdowns

https://github.com/theforeman/foreman/pull/1435

#3 - 05/13/2014 12:50 PM - Joseph Magen

- Target version set to 1.8.3

#4 - 05/19/2014 12:39 PM - Anonymous

- Target version changed from 1.8.3 to 1.8.2

#5 - 05/22/2014 11:03 AM - Dominic Cleal
- Category set to Organizations and Locations

- translation missing: en.field_release set to 16

#6 - 05/22/2014 11:31 AM - Joseph Magen
- Status changed from Ready For Testing to Closed
https://github.com/theforeman/foreman/pull/1440
https://github.com/theforeman/foreman/pull/1435

- % Done changed from 0 to 100

Applied in changeset 58ea0de6d8c31¢c309398de5¢c870c69665170c869.

#7 - 06/10/2014 12:52 PM - Bryan Kearney
- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1107697
